Bug 11540 - Lyx2Lyx conversion troubles
: Lyx2Lyx conversion troubles
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/lyx)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-18 00:09 by
Modified: 2007-12-20 01:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-18 00:09:38
lyx-1.5.0 lyx2lyx кодировка из koi8 в utf8

В файле lyx2lyx_lang.py стоит заменить koi8 на koi8-r.
------- Comment #1 From 2007-05-10 12:01:51 -------
Подтверждаю, сам споткнулся. Виталий, давно бы уже исправили ошибку и закрыли.
------- Comment #2 From 2007-05-10 23:57:36 -------
Да, сам сегодня наткнулся. Только кодировку (koi -> koi8-r) вроде как надо 
менять в lib/language, причём до сборки.
------- Comment #3 From 2007-06-19 11:54:57 -------
fixed in lyx-1.5.0-alt3.rc1
------- Comment #4 From 2007-10-19 01:54:13 -------
Пытаюсь сконвертировать образец из пакета lyx-gost-koi8-r:

$ /usr/share/lyx/lyx2lyx/lyx2lyx GOST-koi8-r.lyx

Traceback (most recent call last):
  File "/usr/share/lyx/lyx2lyx/lyx2lyx", line 101, in ?
    sys.exit(main(sys.argv))
  File "/usr/share/lyx/lyx2lyx/lyx2lyx", line 95, in main
    file.write()
  File "/usr/share/lyx/lyx2lyx/LyX.py", line 278, in write
    self.output.write(line.encode(self.encoding)+"\n")
UnicodeDecodeError: 'ascii' codec can't decode byte 0xee in position 14: 
ordinal not in range(128)

Ошибки не нашёл :(
------- Comment #5 From 2007-10-19 11:00:44 -------
ошибку нашел и замучил в lyx-1.5.2-alt2
------- Comment #6 From 2007-10-21 13:38:03 -------
Всё равно ошибка:

$ /usr/share/lyx/lyx2lyx/lyx2lyx /usr/share/lyx/templates/GOST-koi8-r.lyx

File "/usr/share/lyx/lyx2lyx/LyX.py", line 278, in write
    self.output.write(line.encode(self.encoding)+"\n")
UnicodeDecodeError: 'ascii' codec can't decode byte 0xee in position 14: 
ordinal not in range(128)

$ rpm -q lyx
lyx-1.5.2-alt2
------- Comment #7 From 2007-10-21 17:42:27 -------
а дайте grep types LyX.py ?
------- Comment #8 From 2007-10-21 22:37:20 -------
пусто
$ grep types /usr/share/lyx/lyx2lyx/LyX.py
[lav@lav ~]$     
------- Comment #9 From 2007-10-22 14:44:31 -------
Уппс. Нашел. Я тег в гите подвинул а проапдейтить сие в master забыл. Так. тут
другая фигня вылезла. Этот же LyX.py используется при генерации доков. Причем
там используется класс NewFile(LyX_Base). Проблема в том что в этом случае у
него нет self.inputencoding. Я вижу тут только один выход. Переопределить
функцию write (на который затык при сборке toc) в класе NewFile к
первоначальному виду.
------- Comment #10 From 2007-10-22 15:12:28 -------
пробуем alt3 Однако :-\
------- Comment #11 From 2007-10-24 01:00:33 -------
Спасибо огромное. Работает!